># <b># RenegadeVikings</b>

Adds randomly generated viking npcs, hostile, boss, wandering trader and neutral (tameable) to all biomes except the last 2 unfinished ones.

![](https://i.ibb.co/y5D32gj/ss.png)
![](https://i.ibb.co/7kbXFsJ/ss3.png)
[![Watch the video](https://i.ibb.co/4T1HvMB/ss.png)](https://www.youtube.com/watch?v=SrBGfskNOIo)
[![Watch the video](https://i.ibb.co/NLjSvXs/ss4.png)](https://www.youtube.com/watch?v=AoCePSbpxrk)

>## ## Installation (manual)

- extract `RenegadeVikings.dll` file to your `BepInEx\Plugins\` folder
<br/>

>## ## Features

- Adds 6 different tier npcs to 6 biomes all randomly generated, aggressive and non tameable, drops coins and other valueables.
- Adds 6 different tier npc bosses to 6 biomes all randomly generated with a map pin that appears if you're near, triggered by global keys, uses troll spawn data.
- Adds 1 neutral npc to meadows also randomly generated, tameable.
- Adds a randomly generated wandering trader (configurable sellable list), you can now sell all your looted valuebles from renegade vikings while adventuring.
- Live update trader configuration.
- Adds random event raid for all renegade vikings (triggered by global keys)
- Configurable spawn data.
- Uses serversync and built-in config watcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

>## ## Changelog
<br/>

v1.1.0
- removes attack player object on nuetral vikings.
- added a wandering trader with configurable sellable list.
- added random event raids.
- decrease the spawn rate of all vikings.
- increase the spawn distance of all vikings.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.0.7
- fixed bow weapon bug.
- added translations.
- added spawn config options.

v1.0.5
- added 6 different randomly generated biome bosses triggered by global keys.
- tweaked ai and spawn data of all viking npcs.
- fixed weapon visual bug.

v1.0.0
- first release.

</details>